| OpenCV 3.4.7 Open Source Computer Vision

Functions
Element-wise compare
Core functionality » Hardware Acceleration Layer » Interface

## Functions
int | hal_ni_cmp16s (const short *src1_data, size_t src1_step, const short *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp16u (const ushort *src1_data, size_t src1_step, const ushort *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp32f (const float *src1_data, size_t src1_step, const float *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp32s (const int *src1_data, size_t src1_step, const int *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp64f (const double *src1_data, size_t src1_step, const double *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp8s (const schar *src1_data, size_t src1_step, const schar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)
int | hal_ni_cmp8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, int operation)

## Detailed Description

Compare: dst[i] = src1[i] op src2[i]

Parameters

  src1_data,src1_step | first source image data and step
  src2_data,src2_step | second source image data and step
  dst_data,dst_step | destination image data and step
  width,height | dimensions of the images
  operation | one of (CV_HAL_CMP_EQ, CV_HAL_CMP_GT, ...)

## Function Documentation

## § hal_ni_cmp16s()

int hal_ni_cmp16s | ( | const short * | src1_data,
|  | size_t | src1_step,
|  | const short * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp16u()

int hal_ni_cmp16u | ( | const ushort * | src1_data,
|  | size_t | src1_step,
|  | const ushort * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp32f()

int hal_ni_cmp32f | ( | const float * | src1_data,
|  | size_t | src1_step,
|  | const float * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp32s()

int hal_ni_cmp32s | ( | const int * | src1_data,
|  | size_t | src1_step,
|  | const int * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp64f()

int hal_ni_cmp64f | ( | const double * | src1_data,
|  | size_t | src1_step,
|  | const double * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp8s()

int hal_ni_cmp8s | ( | const schar * | src1_data,
|  | size_t | src1_step,
|  | const schar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`

## § hal_ni_cmp8u()

int hal_ni_cmp8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | operation
| ) |  |
| inline

`#include <core/src/hal_replacement.hpp>`